	<?php
	/**
	* Created by PhpStorm.
	* User: ahmad
	* Date: 20/08/2019
	* Time: 11:48 AM
	*/

	require_once("../connection.php");
	
	$key=mysqli_real_escape_string($connect, $_GET['key']);
	$search=mysqli_real_escape_string($connect, $_GET['search']);

	$getusers	= mysqli_query($connect,"SELECT * FROM users WHERE id_session='$key'");
	$u	   		= mysqli_fetch_array($getusers);
	$jumlah   	= mysqli_num_rows($getusers);
	
	
	$masterakun = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$u[master]'");
	$m=mysqli_fetch_array($masterakun);

	if ($jumlah > 0){

	$query = "SELECT * FROM supplier WHERE name_supplier LIKE '%$search%' AND user='$m[phone_number]' AND debt='1' ORDER BY id_supplier DESC";
	$hasil = mysqli_query($connect,$query);

	if(mysqli_num_rows($hasil) > 0 ){
	$response = array(
    'status' 	=> 'true',
    'errCode' 	=> '01',
	'msg' 		=> 'Success'
	);
  $response["data"] = array();
  while($x = mysqli_fetch_array($hasil)){
    $h['id_supplier'] 	= $x["id_supplier"];
    $h['name_supplier'] = $x["name_supplier"];
    $h['address'] 		= $x["address"];
    $h['email'] 		= $x["email"];
    $h['telephone'] 		= $x["telephone"];
    $h['province'] 		= $x["province"];
    $h['city'] 			= $x["city"];
    array_push($response["data"], $h);
  }
  echo json_encode($response);
	}else {
	$response = array(
    'status' 	=> 'true',
    'errCode' 	=> '02',
	'msg' 		=> 'no data'
	);
	echo json_encode($response);
	}


	}else{
	
	
	$json = array(
    'status' 	=> 'true',
    'errCode' 	=> '00',
	'msg' 		=> 'User Not Found'
	);

    echo json_encode($json);	
	}
	?>